## org.eclipse.emf.mapping
Interface FunctionNamePair

All Superinterfaces:
  EObject, MappingHelper, Notifier, TypeConverter

All Known Implementing Classes:
  FunctionNamePairImpl

    public interface FunctionNamePair

extends TypeConverter

A representation of the model object 'Function Name Pair'.

The following features are supported:

- `In2out`
- `Out2in`

See Also:
  `MappingPackage.getFunctionNamePair()`

Method Summary
`java.lang.String` `getIn2out()` Returns the value of the 'In2out' attribute
`java.lang.String` `getOut2in()` Returns the value of the 'Out2in' attribute
`void` `setIn2out(java.lang.String value)` Sets the value of the '`In2out`' attribute
`void` `setOut2in(java.lang.String value)` Sets the value of the '`Out2in`' attribute

Methods inherited from interface org.eclipse.emf.mapping.MappingHelper
`getHelpedObject, getMapper, getNested, getNestedIn, setHelpedObject, setMapper, setNestedIn`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIn2out

    java.lang.String getIn2out()

  Returns the value of the 'In2out' attribute.

  Returns:
    the value of the 'In2out' attribute.
  See Also:
    `setIn2out(String)`, `MappingPackage.getFunctionNamePair_In2out()`

### setIn2out

    void setIn2out(java.lang.String value)

  Sets the value of the '`In2out`' attribute.

  Parameters:
    `value` - the new value of the 'In2out' attribute.
  See Also:
    `getIn2out()`

### getOut2in

    java.lang.String getOut2in()

  Returns the value of the 'Out2in' attribute.

  Returns:
    the value of the 'Out2in' attribute.
  See Also:
    `setOut2in(String)`, `MappingPackage.getFunctionNamePair_Out2in()`

### setOut2in

    void setOut2in(java.lang.String value)

  Sets the value of the '`Out2in`' attribute.

  Parameters:
    `value` - the new value of the 'Out2in' attribute.
  See Also:
    `getOut2in()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.